﻿@{
    /**/

    //success messages
    var successMessages = new List<string>();
    if (TempData[string.Format("nop.notifications.{0}", NotifyType.Success)] != null)
    {
        successMessages.AddRange(TempData[string.Format("nop.notifications.{0}", NotifyType.Success)] as IList<string>);
    }
    if (ViewData[string.Format("nop.notifications.{0}", NotifyType.Success)] != null)
    {
        successMessages.AddRange(ViewData[string.Format("nop.notifications.{0}", NotifyType.Success)] as IList<string>);
    }

    //error messages
    var errorMessages = new List<string>();
    if (TempData[string.Format("nop.notifications.{0}", NotifyType.Error)] != null)
    {
        errorMessages.AddRange(TempData[string.Format("nop.notifications.{0}", NotifyType.Error)] as IList<string>);
    }
    if (ViewData[string.Format("nop.notifications.{0}", NotifyType.Error)] != null)
    {
        errorMessages.AddRange(ViewData[string.Format("nop.notifications.{0}", NotifyType.Error)] as IList<string>);
    }

    //info messages
    var infoMessages = new List<string>();
    if (TempData[string.Format("nop.notifications.{0}", NotifyType.Info)] != null)
    {
        infoMessages.AddRange(TempData[string.Format("nop.notifications.{0}", NotifyType.Info)] as IList<string>);
    }
    if (ViewData[string.Format("nop.notifications.{0}", NotifyType.Info)] != null)
    {
        infoMessages.AddRange(ViewData[string.Format("nop.notifications.{0}", NotifyType.Info)] as IList<string>);
    }
}

@foreach (var message in successMessages)
{
    <div class="row">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissable fade show" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                @message
            </div>
        </div>
    </div>
}

@foreach (var message in errorMessages)
{
    <div class="row">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissable fade show" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                @message
            </div>
        </div>
    </div>
}

@foreach (var message in infoMessages)
{
    <div class="row">
        <div class="col-lg-12">
            <div class="alert alert-info alert-dismissable fade show" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                @message
            </div>
        </div>
    </div>
}
